Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-gtk-4.0/editprop.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
editprop.h File Reference
`#include "editor.h"`
`#include "editgui_g.h"`

Go to the source code of this file.

## Functions

void | property_editor_clear (struct property_editor *pe)
void | property_editor_load_tiles (struct property_editor *pe, const struct tile_list *tiles)
void | property_editor_reload (struct property_editor *pe, enum editor_object_type objtype)
void | property_editor_popup (struct property_editor *pe, enum editor_object_type objtype)
void | property_editor_popdown (struct property_editor *pe)
void | property_editor_handle_object_changed (struct property_editor *pe, enum editor_object_type objtype, int object_id, bool remove)
void | property_editor_handle_object_created (struct property_editor *pe, int tag, int object_id)
struct property_editor * | editprop_get_property_editor (void)

## Function Documentation

## ◆ editprop_get_property_editor()

struct property_editor * editprop_get_property_editor | ( | void |  | ) |

Get the property editor for the client's GUI.

Definition at line 6203 of file editprop.c.

Referenced by editbar_player_properties_button_clicked(), editgui_notify_object_changed(), editgui_notify_object_created(), editgui_popdown_all(), editgui_popup_properties(), editgui_refresh(), popdown_all_game_dialogs(), scenario_properties_callback(), and scenario_properties_callback().

## ◆ property_editor_clear()

void property_editor_clear | ( | struct property_editor * | pe | ) |

Clear all property pages in the given property editor.

Definition at line 6320 of file editprop.c.

Referenced by editgui_popdown_all(), editgui_popup_properties(), and editgui_refresh().

## ◆ property_editor_handle_object_changed()

void property_editor_handle_object_changed | ( | struct property_editor * | pe,
|  | enum editor_object_type | objtype,
|  | int | object_id,
|  | bool | remove
| ) |  |

Handle a notification from the client core that some object has changed state at the server side (including being removed).

Definition at line 6280 of file editprop.c.

Referenced by editgui_notify_object_changed().

## ◆ property_editor_handle_object_created()

void property_editor_handle_object_created | ( | struct property_editor * | pe,
|  | int | tag,
|  | int | object_id
| ) |  |

Handle a notification that an object was created under the given tag.

Definition at line 6302 of file editprop.c.

Referenced by editgui_notify_object_created().

## ◆ property_editor_load_tiles()

void property_editor_load_tiles | ( | struct property_editor * | pe,
|  | const struct tile_list * | tiles
| ) |  |

Refresh the given property editor according to the given list of tiles.

Definition at line 6214 of file editprop.c.

Referenced by editgui_popup_properties().

## ◆ property_editor_popdown()

void property_editor_popdown | ( | struct property_editor * | pe | ) |

Hide the property editor window.

Definition at line 6268 of file editprop.c.

Referenced by editgui_popdown_all(), editgui_refresh(), and popdown_all_game_dialogs().

## ◆ property_editor_popup()

void property_editor_popup | ( | struct property_editor * | pe,
|  | enum editor_object_type | objtype
| ) |  |

Show the property editor to the user, with given page corresponding to 'objtype' in front (if a valid object type).

Definition at line 6250 of file editprop.c.

Referenced by editbar_player_properties_button_clicked(), editgui_popup_properties(), scenario_properties_callback(), and scenario_properties_callback().

## ◆ property_editor_reload()

void property_editor_reload | ( | struct property_editor * | pe,
|  | enum editor_object_type | objtype
| ) |  |

Clear and load objects into the property page corresponding to the given object type. Also, make it the current shown notebook page.

Definition at line 6340 of file editprop.c.

Referenced by editbar_player_properties_button_clicked(), editgui_popup_properties(), scenario_properties_callback(), and scenario_properties_callback().